> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> API to check the status of the e-filed TDS return



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json GET /tds/compliance/e-file
openapi: 3.1.0
info:
  title: compliance
  version: 1.0.0
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/e-file:
    get:
      tags:
        - E-File TDS Return
      summary: Fetch TDS Return Job Status
      parameters:
        - name: job_id
          in: query
          required: true
          description: Unique identifier of the job
          deprecated: false
          schema:
            type: string
          examples:
            200 Job Succeeded:
              value: f845f37e-7f05-4de9-a282-a3b23b9d370a
            200 Job Queued:
              value: 2aa54d2b-68f6-4871-866a-4eba957a8672
            '200 Job Failed: Statement furnished':
              value: 6e8d1908-c062-4846-a811-8f73054acd65
            '200 Job Failed: Unacceptable fvu':
              value: d75c3d26-4f81-451f-ab38-e217ea801ea1
            '200 Job Failed: Invalid archive':
              value: d1213059-ec22-4e10-b0c1-a91814377001
            '200 Job Failed: Form type mismatch':
              value: d6f5b340-440b-400c-9b86-16e691e768b0
            '200 Job Failed: Quarter mismatch':
              value: 7a62876a-d638-430c-ad77-8fe33d9e63d5
            '200 Job Failed: Barcode mismatch':
              value: 6b11d176-b3c5-483c-9052-b533a6e92377
            '200 Job Failed: Invalid number of entries in archive':
              value: 3b979ce9-ef4e-4157-a4a3-51e8747e76d7
            '200 Job Failed: Financial year mismatch':
              value: 7928082e-34ca-474c-ba05-4ede9598b9b5
            '200 Job Failed: TAN mismatch':
              value: 5fd2679f-040f-435c-a285-df5817a150b5
            '200 Job Failed: Form27A missing':
              value: b411fbee-68e4-4da3-9f62-8de8ca09a74c
            '200 Job Failed: FVU missing':
              value: 9bf0b6f8-5957-484f-9aea-0d235054974c
            521 Data not found:
              value: '{{job_id}}'
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          schema:
            type: string
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          financial_year:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          financial_year:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          receipt_number:
                            type: integer
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          receipt_file_url:
                            type: string
                            format: uri
                          fvu_file_url:
                            type: string
                            format: uri
                          form27a_file_url:
                            type: string
                            format: uri
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          financial_year:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          message:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
              examples:
                200 Job Succeeded:
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: f845f37e-7f05-4de9-a282-a3b23b9d370a
                      tan: AHMA09719B
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      filing_type: regular
                      status: succeeded
                      receipt_number: 123456789012345
                      created_at: 1763362637000
                      updated_at: 1763362637000
                      receipt_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/receipt.pdf
                      fvu_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q.fvu
                      form27a_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/form27A_26Q.pdf
                200 Job Queued:
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 2aa54d2b-68f6-4871-866a-4eba957a8672
                      tan: AHMA09719B
                      financial_year: FY 2023-24
                      quarter: Q2
                      form: 26Q
                      filing_type: original
                      status: queued
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Statement furnished':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6e8d1908-c062-4846-a811-8f73054acd65
                      tan: MUMR09719B
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: >-
                        Regular Statement with the same TAN, Financial Year,
                        FORM and Quarter is already furnished
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Unacceptable fvu':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d75c3d26-4f81-451f-ab38-e217ea801ea1
                      tan: AABC23456D
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 27Q
                      filing_type: original
                      status: failed
                      message: Unacceptable FVU
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Invalid archive':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d1213059-ec22-4e10-b0c1-a91814377001
                      tan: PDES03028E
                      financial_year: FY 2024-25
                      quarter: Q4
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: Invalid Archive
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Form type mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d6f5b340-440b-400c-9b86-16e691e768b0
                      tan: HYDC23456G
                      financial_year: FY 2024-25
                      quarter: Q4
                      form: 24Q
                      filing_type: original
                      status: failed
                      message: Form Type Mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Quarter mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7a62876a-d638-430c-ad77-8fe33d9e63d5
                      tan: MUMC23456H
                      financial_year: FY 2023-24
                      quarter: Q2
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: Quarter mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Barcode mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6b11d176-b3c5-483c-9052-b533a6e92377
                      tan: DELC23456I
                      financial_year: FY 2023-24
                      quarter: Q3
                      form: 27Q
                      filing_type: original
                      status: failed
                      message: Barcode mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Invalid number of entries in archive':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 3b979ce9-ef4e-4157-a4a3-51e8747e76d7
                      tan: BLRC23456F
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: 'Invalid Number of entries in Archive: 1'
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Financial year mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7928082e-34ca-474c-ba05-4ede9598b9b5
                      tan: PUNC23456J
                      financial_year: FY 2023-24
                      form: 24Q
                      quarter: Q4
                      filing_type: original
                      status: failed
                      message: Financial year mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: TAN mismatch':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 5fd2679f-040f-435c-a285-df5817a150b5
                      tan: KOLT23456K
                      financial_year: FY 2024-25
                      quarter: Q2
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: TAN mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Form27A missing':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: b411fbee-68e4-4da3-9f62-8de8ca09a74c
                      tan: CABC23456M
                      financial_year: FY 2024-25
                      quarter: Q3
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: Form 27A missing
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: FVU missing':
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 9bf0b6f8-5957-484f-9aea-0d235054974c
                      tan: BABC23456L
                      financial_year: FY 2024-25
                      quarter: Q1
                      form: 26Q
                      filing_type: original
                      status: failed
                      message: FVU missing
                      created_at: 1763362637000
                      updated_at: 1763362637000
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                521 Data not found:
                  value:
                    code: 521
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: Data not found

````